[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.mypy]
files = ["fjerkroa_bot", "tests"]

[tool.flake8]
max-line-length = 140
max-complexity = 10
ignore = [
    "E203",
    "E266",
    "E501",
    "W503",
    "E306",
]
exclude = [
    ".git",
    ".mypy_cache",
    ".pytest_cache",
    "__pycache__",
    "build",
    "dist",
    "venv",
]

[tool.poetry]
name = "fjerkroa_bot"
version = "2.0"
description = ""
authors = ["Oleksandr Kozachuk <ddeus.lp@mailnull.com>"]

[tool.poetry.dependencies]
python = "^3.8"
"discord.py" = "*"
openai = "*"
aiohttp = "*"
mypy = "*"
flake8 = "*"
pre-commit = "*"
pytest = "*"
setuptools = "*"
wheel = "*"
watchdog = "*"
tomlkit = "*"
